/* Table of constant values */

static int c__5 = 5;

int main(void)
{
    /* Initialized data */
    static double a[25] /* was [5][5] */ = { 1.,2.,0.,0.,0.,32.,1.,1.,
                        0.,0.,0.,0.,1.,0.,0.,1.,1.,1.,1.,1.,0.,0.,0.,0.,1. };

    /* Local variables */
    extern int amb1d_c(int *, int *, double *, int *, int *, double *);
    static int i__;
    static double scale[5];
    static int igh, low;

#define a_ref(a_1,a_2) a[(a_2)*5 + a_1 - 6]

    amb1d_c(&c__5, &c__5, a, &low, &igh, scale);

    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %14.7e %14.7e %14.7e %14.7e %14.7e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3),
                a_ref(i__, 4), a_ref(i__, 5));
    }
    printf("\n  %5i %5i \n", low, igh);
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %14.7e \n", scale[i__-1]);
    }
    return 0;
} /* main */

#undef a_ref
